Tasks

Generate Report

Trigger the generation of an asynchronous AI report.

POST
https://api.textreveal.com/v3/reports

Request

Request Body

ESG due diligence report on a single entity

  • entity*object

    Entity to screen

  • type*string (enum)
    Values: "esg_due_diligence"
Request
{
  "entity": {
    "name": "LVMH",
    "reference": "FR0000121014",
    "subsidiaries": [
      "Louis Vuitton",
      "Moet Hennessy"
    ]
  },
  "type": "esg_due_diligence"
}

Response

Response - 200

Starts the report task

  • task_id*uuid

    Unique identifier of the task

    Example: "f47ac10b-58cc-4372-a567-0e02b2c3d479"
Response
{
  "task_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "entity",
      "reason": "invalid_type"
    }
  ]
}

Error - 401

Unauthorized

  • message*string

    Error message.

    Example: "Authorization header is expected"
  • code*number (enum)

    Error code.

    Values: 401
  • reason*string (enum)

    Error reason.

    Values: "unauthorized"
  • errors*object[]
    Array length: [1, 1]
Response
{
  "message": "Authorization header is expected",
  "code": 401,
  "reason": "unauthorized",
  "errors": [
    {
      "message": "Required",
      "field": "headers.authorization",
      "reason": "invalid_type"
    }
  ]
}

Generic errors are not shown, see Errors for more details.